Bug 203981 - restart blocks update
restart blocks update
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-08-24 15:39 EDT by jmccann
Modified: 2015-01-14 18:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-06 15:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jmccann 2006-08-24 15:39:30 EDT
When I performed a yum update on rawhide today, from VT2, it hung while updating
gdm.  When I checked VT7 for some reason xorg (probably nvidia) didn't restart
properly and was asking me for input.  After I give input then the yum update
continued.  This is a problem when doing unattended updates.

The %post does a /usr/sbin/gdm-safe-restart which does:
exec kill -USR1 `cat $PIDFILE`

The builtin kill (ie. bash's jobs.c:kill_pid()) seems to just wrap kill(2).

In the gdm daemon USR1 seems to be handled by mainloop_sig_callback() which
calls gdm_safe_restart().  And if no one is logged in then does gdm_restart_now():

static void
gdm_restart_now (void)
	gdm_info (_("GDM restarting ..."));
	gdm_final_cleanup ();
	gdm_restoreenv ();
	VE_IGNORE_EINTR (execvp (stored_argv[0], stored_argv));
	gdm_error (_("Failed to restart self"));
	_exit (1);
Comment 1 jmccann 2006-08-24 16:23:27 EDT
Hmm, I don't see anything that would block there.  Perhaps, there was already an
error prompt on VT7 before the restart was issued.
Comment 2 Ray Strode [halfline] 2007-03-06 15:10:30 EST
hmm, do you have any idea how to reproduce this? 
Comment 3 jmccann 2007-03-06 15:19:20 EST
Not really, unfortunately.  GDM is pretty synchronous in places so I guess it
may have been blocking somewhere waiting for input...

You can probably close the bug as worksforme or whatever if you want.  Hopefully
this is just a freak thing.

Note You need to log in before you can comment on or make changes to this bug.